From 344dcfb90f9cea7eefe00951327a5bea950209d8 Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Mar 26 2022 09:59:37 +0000
Subject: [PATCH 13/28] [parabola-keyring]: manual rebuild


---

diff --git a/libre/parabola-keyring/PKGBUILD b/libre/parabola-keyring/PKGBUILD
index 06da65a..ce7747d 100644
--- a/libre/parabola-keyring/PKGBUILD
+++ b/libre/parabola-keyring/PKGBUILD
@@ -1,18 +1,18 @@
 # Maintainer: Parabola automatic package builder <autobuilder@parabola.nu>
 
 
-# NOTE: this PKGBUILD does not need to be edited manually
-#       the package is normally built automatically by autobuilder
-#       to generate a new keyring, push a new commit to hackers.git
+# NOTE: This PKGBUILD does not need to be edited manually.
+#       The package is normally built automatically by autobuilder.
+#       To generate a new keyring, push a new commit to hackers.git.
 #         eg: $ git commit --allow-empty --message=rebuild
 #             $ git push parabola master
-#       autobuilder will modify this PKGBUILD, build and publish the package,
-#         and commit the modified PKGBUILD to abslibre
+#       The autobuilder will modify this PKGBUILD, build and publish the package,
+#         and commit the modified PKGBUILD to abslibre.
 
 
 pkgname=parabola-keyring
-pkgver=20220202.2
-_gitver=2bdd20475c64097302f1f96a42f547ea61ddafe4
+pkgver=20220322
+_gitver=af4575f5afbdca6b556d182dab149e181edbd4b4
 pkgrel=1
 pkgdesc='Parabola GNU/Linux-libre PGP keyring'
 arch=('any')
@@ -29,6 +29,16 @@ prepare() {
   mv {,.}hackers-$_gitver
   mkdir .cachedir
   export PARABOLA_HACKERS_YAMLDIR="$PWD/.hackers-$_gitver/users"
+
+  local net_err_msg="ERROR: this PKGBUILD requires the build host to be connected to the internet"
+  curl www.parabola.nu &> /dev/null || ! echo "${net_err_msg}" || return 1
+
+  # NOTE: the current 'parabola-hackers' package does not yet recognize
+  #       the 'keyserver' env-var - the keyserver is still hard-coded;
+  #       and it is now invalid - 'parabola-hackers' must be rebuilt for this;
+  #       but that build currently has a problem - the autobuilder handles
+  #       this now, via an un-published kludge in the autobuild.sh script
+  # TODO: remove this note, after 'parabola-hackers' has been rebuilt
   /usr/lib/parabola-hackers/pacman-make-keyring \
     V="$pkgver"                                 \
     keyserver='hkp://pgp.cyberbits.eu:11371'    \

